Linux compatibility für PfSense 2.0



  • Hallo,

    ich versuche seit mehreren Wochen nun den Upsmanager (für Linux x86 oder x64) von Generex zur Überwachung einer USV auf PfSense 2.0 zu installieren. Dies klappt leider nicht, da ihm bei Installation Linux Bibliotheken fehlen:

    Preparing to install…
    Extracting the JRE from the installer archive...
    Unpacking the JRE...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...
    **ELF binary type "0" not known.

    Launching installer…

    ELF binary type "0" not known.
    /tmp/install.dir.236/Linux/resource/jre/bin/java: 1: Syntax error: "(" unexpected**

    Installiert habe ich auf dem Server die 64 Bit Variante, habe aber auch eine 32-Bit Version in einer virtuellen Maschine zum testen. Habt ihr es geschafft, auf Linux basierende Programme auf der Version 2.0 von PfSense zu installieren? Ich habe hier im Forum zwar schon einige Lösungsansätze gefunden, diese beziehen sich meistens aber auf die Version 1.2.3, sodass immer an irgend einer Stelle ein Befehl fehlt, welcher in der 2.0 wohl entfernt wurde (aus Sicherheitsgründen?)

    Für Tipps und Lösungsvorschläge wäre ich sehr dankbar.

    Grüße,
    moe



  • Hmm, da die pfSense auf freeBSD basiert, kann es da schon Inkompatibilitäten mit Linux Software geben.
    Es ist halt eine Firewall und kein Multifunktionsgerät ;-)

    Einen Lösungsvorschlag hab ich für Dich leider nicht, sorry.



  • Eben drum. Linux und FreeBSD sind eben nicht überall gleich.
    Weiterhin fehlen - bzw. sind dort nicht nötig - auf der pfsense diverse tools zum compilieren etc. Wie shcon gesagt wurde, ist die pfsense eine firewall und bringt nur die nötigen Funktionalitäten mit, die zum Betrieb benötigt werden, aber nicht zum kompilieren.

    Du kannst nachschauen, ob es unter folgenden Links eine software für dich gibt, die du nutzen möchtest und diese dann mit
    pkg_add -r /pfad/zur/datei.tbz
    installieren:
    AMD64
    ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8-stable/All/
    i386
    ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-8-stable/All/

    Ansonsten solltest du mal einen Blick auf den package manager der pfsense werfen. Dort gibt es ein Paket "nut". Evtl. hilft dir das ja bereits weiter ?


Log in to reply